<?php


namespace App\ViewModels\EspecialidadeProcedimento\EspecialidadeProcedimentoUpdateViewModel;


use App\Utils\Entity;

class EspecialidadeProcedimentoUpdateViewModel extends Entity
{

    protected $id_especialidade;
    protected $id_procedimento;
    protected $id_unidade;

    public static function builder() : EspecialidadeProcedimentoUpdateViewModelBuilder
    {
        return new EspecialidadeProcedimentoUpdateViewModelBuilder;
    }

    /**
     * @return mixed
     */
    public function getIdEspecialidade()
    {
        return $this->id_especialidade;
    }

    /**
     * @param mixed $id_especialidade
     */
    public function setIdEspecialidade($id_especialidade): void
    {
        $this->id_especialidade = $id_especialidade;
    }

    /**
     * @return mixed
     */
    public function getIdProcedimento()
    {
        return $this->id_procedimento;
    }

    /**
     * @param mixed $id_procedimento
     */
    public function setIdProcedimento($id_procedimento): void
    {
        $this->id_procedimento = $id_procedimento;
    }

    /**
     * @return mixed
     */
    public function getIdUnidade()
    {
        return $this->id_unidade;
    }

    /**
     * @param mixed $id_unidade
     */
    public function setIdUnidade($id_unidade): void
    {
        $this->id_unidade = $id_unidade;
    }




}